| Bsoft 2.0.5 Bernard's software package

Functions | Variables
mol_param.cpp File Reference

Functions to extract parameters from coordinate files. More...

`#include "rwmolecule.h"`
`#include "rwmd.h"`
`#include "mol_bonds.h"`
`#include "Matrix.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
Batomtype * | molgroup_get_atom_types (Bmolgroup *molgroup, int elements)
| Obtains atomic types from molecule groups. More...
Bmd * | md_calculate_parameters (Bmolgroup *molgroup, int elements, int show_bond, int show_angle)
| Calculates atomic parameters from molecule groups. More...

## Variables
int | verbose

## Detailed Description

Functions to extract parameters from coordinate files.

Author
  Bernard Heymann

Date
  Created: 20050304
  Modified: 20090226

Definition in file mol_param.cpp.

## Function Documentation

## ◆ md_calculate_parameters()

Bmd* md_calculate_parameters | ( | Bmolgroup * | molgroup,
|  | int | elements,
|  | int | show_bond,
|  | int | show_angle
| ) |  |

Calculates atomic parameters from molecule groups.

Parameters

  *molgroup | molecule group.
  elements | flag to take atom types from element records.
  show_bond | flag to show bonds.
  show_angle | flag to show angles.

Returns
  Bmd* molecular dynamics object, NULL on failure.

Definition at line 73 of file mol_param.cpp.

## ◆ molgroup_get_atom_types()

Batomtype* molgroup_get_atom_types | ( | Bmolgroup * | molgroup,
|  | int | elements
| ) |  |

Obtains atomic types from molecule groups.

Parameters

  *molgroup | molecule group.
  elements | flag to take atom types from element records.

Returns
  Batomtype* atom property structure, NULL on failure.

Definition at line 26 of file mol_param.cpp.

## Variable Documentation

## ◆ verbose

int verbose